Skip to main content
POST
/
sourcing
/
advanced
/
profiles
/
enrich
Advance Sourcing API endpoint — enrich profile
curl --request POST \
  --url https://app.leonar.app/api/v1/sourcing/advanced/profiles/enrich \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "full_name": "Jane Doe",
  "linkedin_url": "https://www.linkedin.com/in/jane-doe",
  "company": [
    "ExampleCo"
  ],
  "job_title": "VP of Product"
}
'
{
  "data": {
    "profile": {
      "full_name": "Jane Doe",
      "linkedin_url": "https://www.linkedin.com/in/jane-doe",
      "headline": "VP of Product at ExampleCo",
      "company": {
        "name": "ExampleCo",
        "domain": "example.com"
      }
    },
    "credits": {
      "search_credits_used": 1
    }
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Body

application/json
full_name
string
first_name
string
last_name
string
email
string<email>
phone
string
linkedin_url
string<uri>
company
string[]
company_domain
string
job_title
string
location
string
education
string[]

Response

Enriched profile.

data
object